{% extends "base.html" %}
{% set active_page = "timeline" %}
{% block title %}Sci-Synergy Network Statistics{% endblock %}

{%block head%}
{{super()}}
{%endblock%}

{%block content%}
{{super()}}
    <main class="mdl-layout__content mdl-color--grey-100">
        <div class="mdl-grid content">
            <div class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--8-col mdl-card mdl-grid">
                <div class="mdl-layout-spacer mdl-cell--2-col"></div>                                
                <div class="ptitle mdl-cell mdl-cell--4-col" style="text-align:center"><font style="font-weight: bold">Average Degree</font></div>
                <div class="mdl-layout-spacer mdl-cell--2-col"></div>
                <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">Definition:</font> The Average Degree is the average number of relationships of each node in graph.</div>
                <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">What it tells us: </font>The Average Degree points to how connected is the network, this way, a low Average Degree tells that there is many isolated or low connected nodes in the network. On the other hand, a high score tells that there is many relationships among nodes.</div>
                <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">Applied Context: </font>It is used to show the overall profile of the network. A low score means that there are many isolated researchers, on the other side, a high score may indicate that there is a high collaboration among the researchers. As the network follows a long tail profile, a low Average Degree is expected in contrast with the maximum degree of a specific node. Remembering that a long tail network is a network where few nodes are highly connected and many nodes are weakly connected.</div>
                
                <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold; font-size: large">Degree of the whole network</font></div>
                <div class="mdl-layout-spacer mdl-cell--2-col"></div>
                <div class="mdl-cell mdl-cell--8-col">
                <table class="mdl-data-table mdl-js-data-table mdl-data-table--selectable mdl-shadow--2dp">
                    <thead>
                      <tr>
                        <th class="mdl-data-table__cell--non-numeric">Degree</th>
                        <th>Value</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr>
                        <td class="mdl-data-table__cell--non-numeric">Average</td>
                        <td>{{avg_degree}}</td>
                      </tr>
                      <tr>
                        <td class="mdl-data-table__cell--non-numeric">Maximum</td>
                        <td>{{max_degree}}</td>
                      </tr>
                      <tr>
                        <td class="mdl-data-table__cell--non-numeric">Minimum</td>
                        <td>1</td>
                      </tr>
                    </tbody>
                  </table>
                </div>
                
                <!--
                <div class="mdl-cell mdl-cell--8-col">{{table_degree|safe}}</div>
               --> 

                </div>
                <div class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--8-col mdl-card mdl-grid">
                        <div class="mdl-layout-spacer mdl-cell--2-col"></div>
                        <div class="ptitle mdl-cell mdl-cell--4-col" style="text-align:center"><font style="font-weight: bold">Connected Components (Union Find)</font></div>
                <div class="mdl-layout-spacer mdl-cell--2-col"></div>
                <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">Definition:</font> A connected component (or just component) in a graph is a subgraph in which any two nodes are connected to each other by paths, and which is connected to no additional vertices in the graph. Some times, this network aspect is also known by Community Detection.</div>
                    <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">What it tells us: </font>Connected components of a social network represents communities of this network. It give us a picture of how big and how many communities there are.</div>
                    <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">Applied Context: </font>The union find describes disjoint sets of connected nodes and we used it for finding smaller research groups which are isolated from the bigger component that represent the bigest research community in the social network.</div>
                    <div class="mdl-layout-spacer mdl-cell--2-col"></div>
                    <div class="mdl-cell mdl-cell--4-col">
                        {{table_uf | safe}}
                        <p>* Click on each component id to show its members</p>
                    </div>
                    <div class="mdl-layout-spacer mdl-cell--4-col"></div>
                    
                </div>

                <div class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--8-col mdl-card mdl-grid">
                        <div class="mdl-layout-spacer mdl-cell--2-col"></div>
                        <div class="ptitle mdl-cell mdl-cell--4-col"><font style="font-weight: bold">Betweenness Centrality*</font></div>
                        <div class="mdl-layout-spacer mdl-cell--2-col"></div>
                        <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">Definition:</font> The Betweenness Centrality algorithm calculates the shortest (weighted) path between every pair of nodes in a connected graph, using the breadth-first search algorithm. Each node receives a score, based on the number of these shortest paths that pass through the node. Nodes that most frequently lie on these shortest paths will have a higher betweenness centrality score. The Figure below shows in red the node with higher betweenness centrality score e in yellow the second higher.</div>
                            <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">What it tells us: </font>This measure computes how many times a node appear in shortest path between two other nodes in a network.</div>
                            <div class="mdl-cell mdl-cell--8-col"><img src="{{url_for('static', filename='betweenness3.png')}}"></div>
                            <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">Applied Context: </font>This measure shows which researchers act as "bridge" between researchers in the social network and we used it for finding the researchers who influence the flow of knowledge in the social network.</div>
                            <div class="mdl-cell mdl-cell--8-col">{{table_bc}}</div>
                            <div class="mdl-cell mdl-cell--8-col"><a href="/full_table?centrality=betweenness">View full table</a></div>
                            

                </div>
                <div class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--8-col mdl-card mdl-grid">
                        <div class="mdl-layout-spacer mdl-cell--2-col"></div>
                        <div class="ptitle mdl-cell mdl-cell--4-col"><font style="font-weight: bold">Closeness Centrality*</font></div>
                <div class="mdl-layout-spacer mdl-cell--2-col"></div>
                <div class="mdl-cell mdl-cell--8-col">
                    <font style="font-weight: bold">Definition:</font> Closeness centrality is a way of detecting nodes that are able to spread information very efficiently through a graph. For each node, the higher is its closeness centrality the higher is its size. This measure calculates the shortest paths between all nodes, then assigns each node a score based on its sum of shortest paths and we used it for finding the researchers who are best placed to influence the entire network quicker.</div>
                <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">What it tells us: </font>The closeness centrality of a node measures its average farness (inverse distance) to all other nodes. Nodes with a high closeness score have the shortest distances to all other nodes.</div>
                <div class="mdl-cell mdl-cell--8-col"><img width="350px" height="200px" src="{{url_for('static', filename='closeness3.png')}}"></div>
                <div class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">Applied Context: </font>This measure tells us who is the researcher that is closer to the bigger collaborators in the social network and in this way he can influence the entire social network quicker.</div>
                <div class="mdl-cell mdl-cell--8-col">{{table_cc}}</div>
                <div class="mdl-cell mdl-cell--8-col"><a href="/full_table?centrality=closeness">View full table</a></div>
                
                </div>

                <div class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--8-col mdl-card" style="min-height: 80px">
                    <div class="mdl-cell mdl-cell--8-col mdl-grid">* Definitions and illustrations collected from <a href="https://cambridge-intelligence.com/keylines-faqs-social-network-analysis/">https://cambridge-intelligence.com/keylines-faqs-social-network-analysis/</a></div>
                </div>
        </div>
    </main>
    <p><a onclick="javascript:history.back()">Back</a></p>
</div>
{% endblock %}